package com.usky.ai.domain;

public class AiAlarmLog {
    private String deviceId;
    private String alarmTime;
    private String alarmType;
    private String alarmObject;
    private String alarmData;
    private String alarmAttribute;
    private String alarmContent;
    private Integer alarmGrade;
    private String alarmAddress;
    private String productCode;
    private String sitePhoto;

    // Getters and Setters
    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(String alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getAlarmObject() {
        return alarmObject;
    }

    public void setAlarmObject(String alarmObject) {
        this.alarmObject = alarmObject;
    }

    public String getAlarmData() {
        return alarmData;
    }

    public void setAlarmData(String alarmData) {
        this.alarmData = alarmData;
    }

    public String getAlarmAttribute() {
        return alarmAttribute;
    }

    public void setAlarmAttribute(String alarmAttribute) {
        this.alarmAttribute = alarmAttribute;
    }

    public String getAlarmContent() {
        return alarmContent;
    }

    public void setAlarmContent(String alarmContent) {
        this.alarmContent = alarmContent;
    }

    public Integer getAlarmGrade() {
        return alarmGrade;
    }

    public void setAlarmGrade(Integer alarmGrade) {
        this.alarmGrade = alarmGrade;
    }

    public String getAlarmAddress() {
        return alarmAddress;
    }

    public void setAlarmAddress(String alarmAddress) {
        this.alarmAddress = alarmAddress;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getSitePhoto() {
        return sitePhoto;
    }

    public void setSitePhoto(String sitePhoto) {
        this.sitePhoto = sitePhoto;
    }
}
